com.ihr.xbrl.gui.jarsearch

## Class DlgSearchJarAndClass.ClassSelectionTableModel

- java.lang.Object
- - javax.swing.AbstractListModel<java.lang.String>
  - - com.ihr.xbrl.gui.jarsearch.DlgSearchJarAndClass.ClassSelectionTableModel

- All Implemented Interfaces:
    java.io.Serializable, javax.swing.ListModel<java.lang.String>
  Enclosing class:
    DlgSearchJarAndClass

      public class DlgSearchJarAndClass.ClassSelectionTableModel
      extends javax.swing.AbstractListModel<java.lang.String>

  The Class ClassSelectionTableModel.
  Author:
    Ignacio
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DlgSearchJarAndClass.ClassSelectionTableModel()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getElementAt(int index)`
    `int` | `getSize()`
    `void` | `itemChanged(int index)` Item changed.
    `void` | `removeAllElements()` Removes the all elements.
    `void` | `updateClass(java.lang.Object selectedItemObj)` Update class.

    - ### Methods inherited from class javax.swing.AbstractListModel

      `addListDataListener, getListDataListeners, getListeners, removeListDataListener`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DlgSearchJarAndClass.ClassSelectionTableModel

          public DlgSearchJarAndClass.ClassSelectionTableModel()

  - ### Method Detail

    - #### getSize

          public int getSize()

    - #### getElementAt

          public java.lang.String getElementAt(int index)

    - #### updateClass

          public void updateClass(java.lang.Object selectedItemObj)

      Update class.
      Parameters:
        `selectedItemObj` - the selected item obj

    - #### itemChanged

          public void itemChanged(int index)

      Item changed.
      Parameters:
        `index` - the index

    - #### removeAllElements

          public void removeAllElements()

      Removes the all elements.